// Copyright 2016 Luke Shumaker
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package sd_id128

func hexchar(x byte) byte {
	return "0123456789abcdef"[x&15]
}

func unhexchar(c byte) (byte, error) {
	if c >= '0' && c <= '9' {
		return c - '0', nil
	} else if c >= 'a' && c <= 'f' {
		return c - 'a' + 10, nil
	} else if c >= 'A' && c <= 'F' {
		return c - 'A' + 10, nil
	}
	return 0, ErrInvalid
}
